## javax.annotation
Annotation Type Generated

    @Target(value={PACKAGE,TYPE,ANNOTATION_TYPE,METHOD,CONSTRUCTOR,FIELD,LOCAL_VARIABLE,PARAMETER})
    @Retention(value=SOURCE)
    @Documented
    public @interface Generated

Version:
  $Rev: 489255 $ $Date: 2006-12-21 04:20:05 +0100 (Thu, 21 Dec 2006) $

Required Element Summary
`String[]` `value`

Optional Element Summary
`String` `comments`
`String` `date`

Element Detail

### value

    public abstract String[] value

### date

    public abstract String date

  Default:
    ""

### comments

    public abstract String comments

  Default:
    ""

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.